#!/bin/sh
#set -x
pwd=`pwd`
i=0

echo ""
echo -n "> Enter target X11 (top) directory: "
read top
echo ""
echo "> Restoring $top to original state"
echo -n "> Continue? (y,[n]) "
read yesno
if [ x$yesno != xy -a x$yesno != xY ]
then
	echo
	echo "  Aborting Sync Uninstallation"
	exit
fi

if [ ! -d $top/extensions ]
then
	if [ ! -d $top/mit/extensions ]
	then
	echo ""
	echo "> Error: Couldn't find extensions subdirectory"
	exit
	else
	top=$top/mit
	fi
fi

cd $top
top=`pwd`
cd $pwd

if [ ! -s $top/SYNCINSTBAK ]
then
	echo ""
	echo "  Sync either hasn't been installed, or has been cleaned, good luck..."
	i=0
else
	i=`cat $top/SYNCINSTBAK`
fi

rm -f $top/SYNCINSTBAK

if [ $i -lt 1 ]
then
	echo ""
	echo "  Restoration looks to be complete, but I'll try..."
	i=1
else
	echo `expr $i - 1` >> $top/SYNCINSTBAK
fi

echo ""

bak=syncbk$i

if [ -d $top/extensions/sync.$bak ]
then
	echo "  Restoring $top/extensions/sync from sync.$bak"
	rm -rf $top/extensions/sync
	mv -f $top/extensions/sync.$bak $top/extensions/sync
else
	if [ X$bak = Xsyncbk1 ] 
	then 
		rm -rf $top/extensions/sync
	else
		echo "  Warning: Couldn't find sync.$bak"
	fi
fi

if [ -s $top/extensions/Imakefile.$bak ]
then
	echo "  Restoring $top/extensions/Imakefile from Imakefile.$bak"
	rm -rf $top/extensions/Imakefile
	mv -f $top/extensions/Imakefile.$bak $top/extensions/Imakefile
else
	echo "  Warning: Couldn't find $top/extensions/Imakefile.$bak"
fi

if [ -s $top/server/Imakefile.$bak ]
then
	echo "  Restoring $top/server/Imakefile from Imakefile.$bak"
	rm -rf $top/server/Imakefile
	mv -f $top/server/Imakefile.$bak $top/server/Imakefile
else
	echo "  Warning: Couldn't find $top/server/Imakefile.$bak"
fi

if [ -s $top/server/os/WaitFor.c.$bak ]
then
	echo "  Restoring $top/server/os/WaitFor.c from os/WaitFor.c.$bak"
	rm -rf $top/server/os/WaitFor.c
	mv -f $top/server/os/WaitFor.c.$bak $top/server/os/WaitFor.c
else
	echo "  Warning: Couldn't find $top/server/os/WaitFor.c.$bak"
fi

if [ -s $top/server/ddx/mi/miinitext.c.$bak ]
then
	echo "  Restoring $top/server/ddx/mi/miinitext.c from miinitext.c.$bak"
	rm -rf $top/server/ddx/mi/miinitext.c
	mv -f $top/server/ddx/mi/miinitext.c.$bak $top/server/ddx/mi/miinitext.c
else
	echo "  Warning: Couldn't find $top/server/ddx/mi/miinitext.c.$bak"
fi

if [ -s $top/config/Project.tmpl.$bak ]
then
	echo "  Restoring $top/config/Project.tmpl from Project.tmpl.$bak"
	rm -rf $top/config/Project.tmpl
	mv -f $top/config/Project.tmpl.$bak $top/config/Project.tmpl
else
	echo "  Warning: Couldn't find $top/config/Project.tmpl.$bak"
fi

if [ -s $top/server/ddx/dec/ws/ws_io.c.$bak ]
then
	echo "  Restoring $top/server/ddx/dec/ws/ws_io.c from ws_io.c.$bak"
	rm -rf $top/server/ddx/dec/ws/ws_io.c
	mv -f $top/server/ddx/dec/ws/ws_io.c.$bak $top/server/ddx/dec/ws/ws_io.c
else
	echo "  Warning: Couldn't find $top/server/ddx/dec/ws/ws_io.c.$bak"
fi


echo ""
echo "  Uninstall complete"







